%global gem_name commander

%global rubyabi 1.9.1

Summary: The complete solution for Ruby command-line executable
Name: rubygem-%{gem_name}
Version: 4.0.6
Release: 3%{?dist}
Group: Development/Languages
License: MIT
URL: http://visionmedia.github.com/commander
Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: rubygem(highline)
BuildRequires: rubygems-devel
# Use rspec-core until rspec are not migrated to RSpec 2.x
# https://github.com/visionmedia/commander/issues/35
BuildRequires: rubygem(rspec-core)
BuildRequires: rubygem(highline)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
The complete solution for Ruby command-line executable

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

%check
pushd .%{gem_instdir}
rspec spec
popd


%files
%{_bindir}/commander
%dir %{gem_instdir}
%{gem_instdir}/bin
%{gem_libdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/Manifest
%exclude %{gem_cache}
%{gem_spec}

%files doc
%{gem_instdir}/DEVELOPMENT
%{gem_instdir}/tasks
%{gem_instdir}/spec
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec
%{gem_docdir}


%changelog
* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 4.0.6-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 18 2011 Vít Ondruch <vondruch@redhat.com> - 4.0.6-1
- Updated to Commander 4.0.6.
- Migrated to RSpec 2.x.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 21 2010 Michal Fojtik <mfojtik@redhat.com> - 4.0.3-3
- Fixed version dependencies

* Wed Oct 13 2010 Michal Fojtik <mfojtik@redhat.com> - 4.0.3-2
- Fixed highline build dependency

* Wed Oct 13 2010 Michal Fojtik <mfojtik@redhat.com> - 4.0.3-1
- Initial package
